Subject: [lamps] Re: WG Last Call: draft-ietf-lamps-pq-composite-sigs-08 (Ends 2025-10-06)
From: Russ Housley <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 17 Oct 2025 15:26:47 -0400
List-Id: This is the mail list for the LAMPS Working Group <spasm.ietf.org>

It looks to me like we have reached consensus.  I will start the write-up to request publication.  Authors, each of you will need to reply to confirm that parts of the write-up are correct.

For the LAMPS WG chairs,
Russ

> On Oct 14, 2025, at 2:46 PM, Russ Housley <[email-masked]> wrote:
> 
> No one raised any new issues.  With the posting of -12, the authors believe that the two open issues have been resolved.
> 
> If you do not agree that the two open issues have been resolved, please speak now. 
> 
> Russ
> 
>> On Oct 8, 2025, at 4:41 PM, Russ Housley <[email-masked]> wrote:
>> 
>> I have read the many messaged on this WG Last Call.  I believe that all of the issues that have been raise have reached rough consensus, except two.
>> 
>> First, the discussion of EUF-CMA vs SUF-CMA has not yet reached closure.
>> 
>> Second, there are disagreements about the proposed wording for the RECOMMENDED private key format.
>> 
>> In the Datatracker, I have set the state to:
>> 	State: In WG Last Call
>> 	Tag: Revised I-D Needed - Issue raised by WGLC
>> 
>> The intent is to allow time for the unresolved topics to continue being discussed.
>> 
>> I know that we do not have 100% agreement on every detail.  However, If you see other items that need further discussion, please speak now.
>> 
>> For the LAMPS WG chairs,
>> Russ
>> 
>> 
>>> On Sep 22, 2025, at 11:50 AM, Russ Housley via Datatracker <[email-masked]> wrote:
>>> 
>>> 
>>> Subject: WG Last Call: draft-ietf-lamps-pq-composite-sigs-08 (Ends 2025-10-06)
>>> 
>>> This message starts a 2-week WG Last Call for this document.
>>> 
>>> Abstract:
>>> This document defines combinations of ML-DSA [FIPS.204] in hybrid
>>> with traditional algorithms RSASSA-PKCS1-v1.5, RSASSA-PSS, ECDSA,
>>> Ed25519, and Ed448.  These combinations are tailored to meet security
>>> best practices and regulatory guidelines.  Composite ML-DSA is
>>> applicable in any application that uses X.509 or PKIX data structures
>>> that accept ML-DSA, but where the operator wants extra protection
>>> against breaks or catastrophic bugs in ML-DSA.
>>> 
>>> File can be retrieved from:
>>> https://datatracker.ietf.org/doc/draft-ietf-lamps-pq-composite-sigs/
>>> 
>>> Please review and indicate your support or objection to proceed with the
>>> publication of this document by replying to this email keeping [email-masked]
>>> in copy. Objections should be motivated and suggestions to resolve them are
>>> highly appreciated.
>>> 
>>> Authors, and WG participants in general, are reminded again of the
>>> Intellectual Property Rights (IPR) disclosure obligations described in BCP 79
>>> [1]. Appropriate IPR disclosures required for full conformance with the
>>> provisions of BCP 78 [1] and BCP 79 [2] must be filed, if you are aware of
>>> any. Sanctions available for application to violators of IETF IPR Policy can
>>> be found at [3].
>>> 
>>> Thank you.
>>> 
>>> [1] https://datatracker.ietf.org/doc/bcp78/
>>> [2] https://datatracker.ietf.org/doc/bcp79/
>>> [3] https://datatracker.ietf.org/doc/rfc6701/
>>> 
>>> 
>>> 
>> 
>